<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link rel="stylesheet" type="text/css" href="css/jquery.mobile.css" />
        <link rel="stylesheet" type="text/css" media="all" href="js/cal/skins/aqua/theme.css" title="Aqua" />
        <script type="text/javascript" src="js/jquery.js"></script>
        <script type="text/javascript" src="js/jquery.mobile.js"></script>
        <!--<script type="text/javascript" src="js/jquery-ui.js"></script>-->
	<script type="text/javascript" src="js/cal/jalali.js"></script>
	<script type="text/javascript" src="js/cal/calendar.js"></script>
	<script type="text/javascript" src="js/cal/calendar-setup.js"></script>
	<script type="text/javascript" src="js/cal/lang/calendar-fa.js"></script>	
	<style>
		#flight_table{
			font-size:10px;
		}
		.page{
			display : none;
		}
		/* 
		#bod,body{ 
			background: url(img/bg.jpg) no-repeat center center fixed; 
			-webkit-background-size: cover;
			-moz-background-size: cover;
			-o-background-size: cover;
			background-size: cover;
			height:100%;
		}
		*/
		body{
			background:#36295f;
		}
		body {
		    background: url(img/bg.jpg);
		    background-repeat:repeat-y;
		    background-position:center center;
		    background-attachment:scroll;
		    background-size:100% 100%;
		}
		.ui-page {
		    background: transparent;
		}
		.ui-content{
		    background: transparent;
		}
	</style>
	<script>
		var page_number = 1;
		var xml_string;
		var flights = [];
		document.addEventListener('deviceready', onDeviceReady, false);
		$(document).ready(onDeviceReady);
		function calendarize(obj)
		{
			if($(obj).length >0)
			{
				$(obj).each(function(id,field){
					Calendar.setup({
						inputField     :    field.id,
						button         :    field.id,
						ifFormat       :    "%Y-%m-%d",
						dateType           :    'jalali',
						weekNumbers    : false
					});
				});
			}
		}
		function onDeviceReady()
		{
			$("#page_1").show();
			calendarize(".dateValue");
			//$.datepicker.setDefaults($.datepicker.regional["fa-ir"]);
			//$("#dt").datepicker();
		}
		function changePage(new_page)
		{
			if(page_number != new_page)
			{
				$("#page_"+page_number).slideUp("slow",function(){
					page_number = new_page;
					$("#page_"+page_number).slideDown("slow");
				});
			}
		}
		function loadXML()
		{

			$("#flight_div").html('');
			$.get("app41.xml",function(result){
				xml_string = result;
				var out = drawFlights();
				if(out!='')
				{
					$("#flight_div").html(out);
					changePage(2);
				}
				console.log(xml_string);
			});

		}
		function drawFlights()
		{
			var out = '';
			if(xml_string)
			{
				var index = 1;
				out += '<table id="flight_table" width="100%" border="1">'
				$('flight',xml_string).each(function(id,field){
					var flight = {
						"nCap" : $(this).find("nCap").text(),
						"flightID" : $(this).find("flightID").text(),
						"date" : $(this).find("date").text(),
						"time" : $(this).find("time").text(),
						"agancy" : $(this).find("agancy").text()
					};
					flights.push(flight);
					out += '<tr>';
                                        //$(this).find("type").text();
                                        //console.log($(this).find("from").text());
					out += '<td>';
					out += index;
					out += '</td>';
					out += '<td>';
                                        out += $(this).find("from").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("to").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("date").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("time").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("flightID").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("capacity").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("price").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("agancy").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("airline").text();
                                        out += '</td>';
					out += '<td>';
                                        out += $(this).find("description").text();
                                        out += '</td>';
					out += '</tr>';
					index++;
                                });
				out += '</table>';
			}
			return(out);
		}
		function search()
		{
			var from = $("#from").val();
			var to = $("#to").val();
			var tarikh = $("#tarikh").val();
			alert("from = "+from+" , to = "+to+" , tarikh = '"+tarikh+"'");
		}
	</script>
        <meta name="msapplication-tap-highlight" content="no" />
        <title>GoharDroid</title>
    </head>
    <body dir="rtl">
	<div id="bod">
		<div id="header">
			<table cellspacing="0" cellpadding='0' width="100%">
				<tr>
					<td style="background:url('img/header_main.jpg');background-repeat: no-repeat;height:66px;width:264px;">
						&nbsp;
					</td>
					<td style="background:url('img/header_little.jpg');background-repeat: repeat-x;i">
						&nbsp;
					</td>
				</tr>
			</table>
		</div>
		<div id="page_1" class="page" align="center">
			<table>
				<tr>
					<td>
						<button onclick="changePage(2);" class="ui-btn ui-btn-inline ui-shadow ui-corner-all">
							<img src="img/flight.jpg" />
						</button>
					</td>
					<td>
						<button class="ui-btn ui-btn-inline ui-shadow ui-corner-all">
							<img src="img/hotel.jpg" />
						</button>
					</td>
				</tr>
				<tr>
					<td>
						<button class="ui-btn ui-btn-inline ui-shadow ui-corner-all">
							<img src="img/tour.jpg" />
						</button>
					</td>
					<td>
						<button class="ui-btn ui-btn-inline ui-shadow ui-corner-all">
							<img src="img/settings.jpg" />
						</button>
					</td>
				</tr>
			</table>
		</div>
		<div id="page_2" class="page" align="center">
			<div id="flight_search">
				<table width="100%">
					<tr>
						<td>
							مبدا
						</td>
						<td>
							<select id="from" >
								<optgroup label="داخلی">
									<option value="1">مشهد</option>
									<option value="2">تهران</option>
									<option value="35">قشم</option>
									<option value="9">آبادان</option>
									<option value="20">اردبیل</option>
									<option value="19">ارومیه</option>
									<option value="10">اصفهان</option>
									<option value="5">اهواز</option>
									<option value="3">بندرعباس</option>
									<option value="18">بوشهر</option>
									<option value="21">بیرجند</option>
									<option value="8">تبریز</option>
									<option value="14">رامسر</option>
									<option value="11">رشت</option>
									<option value="23">زابل</option>
									<option value="17">زاهدان</option>
									<option value="4">ساری</option>
									<option value="22">شهرکرد</option>
									<option value="7">شیراز</option>
									<option value="12">عسلویه</option>
									<option value="16">نوشهر</option>
									<option value="24">همدان</option>
									<option value="26">چابهار</option>
									<option value="25">کرمان</option>
									<option value="30">کرمانشاه</option>
									<option value="6">کیش</option>
									<option value="13">گرگان</option>
									<option value="15">یزد</option>
								</optgroup>
								<optgroup label="خارجی">
									<option value="34">اسپارتا(آنتالیا)</option>
									<option value="33">ارجان</option>
									<option value="32">دبی</option>
									<option value="29">آنتالیا</option>
									<option value="27">استانبول</option>
									<option value="28">بانکوک</option>
									<option value="31">بدروم</option>
								</optgroup>
							</select>
						</td>
						<td>
							مقصد
						</td>
						<td>
							<select id="to" >
								<option value="-1">کلیه مسیرها</option>
								<optgroup label="داخلی">
									<option value="1">مشهد</option>
									<option value="2">تهران</option>
									<option value="35">قشم</option>
									<option value="9">آبادان</option>
									<option value="20">اردبیل</option>
									<option value="19">ارومیه</option>
									<option value="10">اصفهان</option>
									<option value="5">اهواز</option>
									<option value="3">بندرعباس</option>
									<option value="18">بوشهر</option>
									<option value="21">بیرجند</option>
									<option value="8">تبریز</option>
									<option value="14">رامسر</option>
									<option value="11">رشت</option>
									<option value="23">زابل</option>
									<option value="17">زاهدان</option>
									<option value="4">ساری</option>
									<option value="22">شهرکرد</option>
									<option value="7">شیراز</option>
									<option value="12">عسلویه</option>
									<option value="16">نوشهر</option>
									<option value="24">همدان</option>
									<option value="26">چابهار</option>
									<option value="25">کرمان</option>
									<option value="30">کرمانشاه</option>
									<option value="6">کیش</option>
									<option value="13">گرگان</option>
									<option value="15">یزد</option>
								</optgroup>
								<optgroup label="خارجی">
									<option value="34">اسپارتا(آنتالیا)</option>
									<option value="33">ارجان</option>
									<option value="32">دبی</option>
									<option value="29">آنتالیا</option>
									<option value="27">استانبول</option>
									<option value="28">بانکوک</option>
									<option value="31">بدروم</option>
								</optgroup>
							</select>
						</td>
						<td>
							تاریخ
						</td>
						<td>
							<input type="text" id="tarikh" class="dateValue" />
						</td>
						<td>
							<button onclick="search();">
								جستجو
							</button>
						</td>
					</tr>
				</table>
			</div>
			<div id="flight_div">
			</div>
		</div>
	</div>
<!--
        <div class="app">
            <h1>Apache Cordova</h1>
            <div id="deviceready" class="blink">
                <p class="event listening">Connecting to Device</p>
                <p class="event received">Device is Ready</p>
            </div>
        </div>
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript">
            app.initialize();
        </script>
-->
    </body>
</html>
